Search and filter for policies
curl --request GET \
--url https://dev.superpool.unyte.africa/api/v1/policies/search/ \
--header 'X-API-Key: <api-key>'{
"count": 123,
"results": [
{
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_number": "<string>",
"effective_from": "2023-12-25",
"effective_through": "2023-12-25",
"premium": "<string>",
"policy_holder": {
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"customer_email": "jsmith@example.com",
"customer_phone": "<string>"
},
"merchant": "<string>",
"provider": {
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_name": "<string>",
"email": "jsmith@example.com"
},
"coverage": "<string>",
"policy_type": "<string>",
"renewable": true,
"renewal_date": "2023-11-07T05:31:56Z",
"inspection_required": true,
"cerfication_required": true,
"cancellation_initiator": "<string>",
"cancellation_reason": "<string>",
"cancellation_date": "2023-11-07T05:31:56Z",
"beneficiaries": [
{
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beneficiary_name": "<string>"
}
]
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Policies
Search and filter for policies
Action that allows you to search or filter for a policy based on certain parameters.
Params are not limited to, customer details, status of the policy, policy category
GET
/
api
/
v1
/
policies
/
search
Search and filter for policies
curl --request GET \
--url https://dev.superpool.unyte.africa/api/v1/policies/search/ \
--header 'X-API-Key: <api-key>'{
"count": 123,
"results": [
{
"policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"policy_number": "<string>",
"effective_from": "2023-12-25",
"effective_through": "2023-12-25",
"premium": "<string>",
"policy_holder": {
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer_name": "<string>",
"customer_email": "jsmith@example.com",
"customer_phone": "<string>"
},
"merchant": "<string>",
"provider": {
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_name": "<string>",
"email": "jsmith@example.com"
},
"coverage": "<string>",
"policy_type": "<string>",
"renewable": true,
"renewal_date": "2023-11-07T05:31:56Z",
"inspection_required": true,
"cerfication_required": true,
"cancellation_initiator": "<string>",
"cancellation_reason": "<string>",
"cancellation_date": "2023-11-07T05:31:56Z",
"beneficiaries": [
{
"beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"beneficiary_name": "<string>"
}
]
}
],
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100"
}Authorizations
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Name of the insurance policy
Type of the insurance product (e.g., Life, Health, Auto, Gadget)
⌘I
